GetDistributionConfiguration - EC2 Image Builder
Services or capabilities described in AWS documentation might vary by Region. To see the differences applicable to the AWS European Sovereign Cloud Region, see the AWS European Sovereign Cloud User Guide.

GetDistributionConfiguration

Retrieves a distribution configuration.

Request Syntax

GET /GetDistributionConfiguration?distributionConfigurationArn=distributionConfigurationArn HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

distributionConfigurationArn

The Amazon Resource Name (ARN) of the distribution configuration that you want to retrieve.

Pattern: ^arn:aws[^:]*:imagebuilder:[^:]+:(?:[0-9]{12}|aws):distribution-configuration/[a-z0-9-_]+$

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "distributionConfiguration": { "arn": "string", "dateCreated": "string", "dateUpdated": "string", "description": "string", "distributions": [ { "amiDistributionConfiguration": { "amiTags": { "string" : "string" }, "description": "string", "kmsKeyId": "string", "launchPermission": { "organizationalUnitArns": [ "string" ], "organizationArns": [ "string" ], "userGroups": [ "string" ], "userIds": [ "string" ] }, "name": "string", "targetAccountIds": [ "string" ] }, "containerDistributionConfiguration": { "containerTags": [ "string" ], "description": "string", "targetRepository": { "repositoryName": "string", "service": "string" } }, "fastLaunchConfigurations": [ { "accountId": "string", "enabled": boolean, "launchTemplate": { "launchTemplateId": "string", "launchTemplateName": "string", "launchTemplateVersion": "string" }, "maxParallelLaunches": number, "snapshotConfiguration": { "targetResourceCount": number } } ], "launchTemplateConfigurations": [ { "accountId": "string", "launchTemplateId": "string", "setDefaultVersion": boolean } ], "licenseConfigurationArns": [ "string" ], "region": "string", "s3ExportConfiguration": { "diskImageFormat": "string", "roleName": "string", "s3Bucket": "string", "s3Prefix": "string" }, "ssmParameterConfigurations": [ { "amiAccountId": "string", "dataType": "string", "parameterName": "string" } ] } ], "name": "string", "tags": { "string" : "string" }, "timeoutMinutes": number }, "requestId": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

distributionConfiguration

The distribution configuration object.

Type: DistributionConfiguration object

requestId

The request ID that uniquely identifies this request.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 1024.

Errors

For information about the errors that are common to all actions, see Common Error Types.

CallRateLimitExceededException

You have exceeded the permitted request rate for the Amazon EC2 APIs that Image Builder calls on your behalf. Retry with an increasing or variable delay between requests.

HTTP Status Code: 429

ClientException

A generic client error. This error usually indicates that the request failed a validation check, such as when a downstream service rejects a configured value.

HTTP Status Code: 400

ForbiddenException

You are not authorized to perform the requested operation.

HTTP Status Code: 403

InvalidRequestException

The request is malformed or otherwise invalid. Verify the request and try again.

HTTP Status Code: 400

ServiceException

An internal server error occurred while Image Builder processed the request. Retrying the request may succeed.

HTTP Status Code: 500

ServiceUnavailableException

The service is unable to process your request at this time.

HTTP Status Code: 503

Examples

Get the details of a distribution configuration

The following example retrieves a distribution configuration that distributes the output AMI to two Regions.

Sample Request

GET /GetDistributionConfiguration?distributionConfigurationArn=arn%3Aaws%3Aimagebuilder%3Aus-west-2%3A111122223333%3Adistribution-configuration%2Fmy-example-distribution HTTP/1.1

Sample Response

HTTP/1.1 200 Content-type: application/json { "requestId": "2d0a8dc0-99d5-4d7a-af7a-d1aeafd71c2e", "distributionConfiguration": { "arn": "arn:aws:imagebuilder:us-west-2:111122223333:distribution-configuration/my-example-distribution", "name": "my-example-distribution", "description": "Copies the output AMI to a second Region", "distributions": [ { "region": "us-west-2", "amiDistributionConfiguration": { "name": "my-example-image-{{ imagebuilder:buildDate }}" } }, { "region": "us-east-1", "amiDistributionConfiguration": { "name": "my-example-image-{{ imagebuilder:buildDate }}" } } ], "timeoutMinutes": 720, "dateCreated": "2026-09-09T19:37:37.231Z", "tags": {} } }

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: